- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::index::chain::MonotoneChainSelectAction Class Reference

`#include <MonotoneChainSelectAction.h>`

Inherited by geos::algorithm::MCPointInRing::MCSelecter.

List of all members.

## Public Member Functions
virtual void | select (MonotoneChain &mc, unsigned int start)
| This function can be overridden if the original chain is needed.
virtual void | select (geom::LineSegment *newSeg)=0
## Public Attributes
geom::Envelope * | tempEnv1
## Protected Attributes
geom::LineSegment * | selectedSegment

## Detailed Description

The action for the internal iterator for performing Envelope select queries on a MonotoneChain

Last port: index/chain/MonotoneChainSelectAction.java rev. 1.6 (JTS-1.7)

## Member Function Documentation

virtual void geos::index::chain::MonotoneChainSelectAction::select | ( | geom::LineSegment * | newSeg | ) | `[pure virtual]`

This is a convenience function which can be overridden to obtain the actual line segment which is selected

Parameters:

  | seg |

The documentation for this class was generated from the following file:

- MonotoneChainSelectAction.h